IF  NOT EXISTS (SELECT * FROM sys.objects 
					WHERE object_id = OBJECT_ID(N'EST_PROD_TBL_DESC_PRE_VENCIDOS_CPL') 
					AND type in (N'U')) 
BEGIN
CREATE TABLE [dbo].[EST_PROD_TBL_DESC_PRE_VENCIDOS_CPL](
	[CD_CTR] [int] IDENTITY(1,1) NOT NULL,
	[CD_EMP] [int] NOT NULL,
	[CD_TBL_DESC] [int] NOT NULL,
	[VLR_DESC] [money] NOT NULL,
	[DIAS_INI] [int] NOT NULL,
	[DIAS_FIM] [int] NOT NULL,
	[QTDE_INI] [int] NOT NULL,
	[QTDE_FIM] [int] NOT NULL,
 CONSTRAINT [PK_EST_PROD_TBL_DESC_PRE_VENCIDOS_CPL] PRIMARY KEY CLUSTERED 
(
	[CD_CTR] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

ALTER TABLE [dbo].[EST_PROD_TBL_DESC_PRE_VENCIDOS_CPL]  WITH NOCHECK ADD  CONSTRAINT [FK_EST_PROD_TBL_DESC_PRE_VENCIDOS_EST_PROD_TBL_DESC_PRE_VENCIDOS_CPL] FOREIGN KEY([CD_EMP], [CD_TBL_DESC])
REFERENCES [dbo].[EST_PROD_TBL_DESC_PRE_VENCIDOS] ([CD_EMP], [CD_TBL_DESC])
ON DELETE CASCADE
end